%define name ermixer
%define version 0.8
%define release %mkrel 4

Name:		%{name}
Summary:	A full featured OSS mixer
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://ermixer.sourceforge.net
Source:		http://erevan.cuore.org/files/ermixer/%{name}-%{version}.tar.bz2
BuildRequires:	libncurses-devel

%description
This is a very sophisticated OSS mixer with a lot of useful 
features like handling of multiple profile files, it offers 
a complete interface to the mixer capatibilities. You can
use it with a nice curses interface or with a command line 
interface (useful for use it in scripts).

%prep

%setup -q 

%build
rm -rf $RPM_BUILD_ROOT

%configure

make
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%name.desktop
[Desktop Entry]
Type=Application
Exec=/usr/bin/ermixer
Icon=sound_section
Categories=AudioVideo;Player;Audio;
Name=Ermixer
Comment=A full featured OSS mixer
EOF

%install

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc INSTALL COPYING
%{_bindir}/ermixer
%{_mandir}/man1/ermixer.1*
%{_datadir}/applications/mandriva-ermixer.desktop



%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.8-4mdv2008.1
+ Revision: 130454
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- fix hardcoded man page extension
- import ermixer


* Thu Jan 05 2006 Lenny Cartier <lenny@mandriva.com> 0.8-4mdk
- rebuild

* Thu Jul 22 2004 Michael Scherer <misc@mandrake.org> 0.8-3mdk 
- rebuild for new gcc

* Thu Jun 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8-2mdk
- rebuild

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8-1mdk
- 0.8

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7-2mdk
- rebuild

* Thu May 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- added by Michele Balistreri <brain@email.it>

